diff --git a/atlas/gen/atlas-gen/parseResults.sh b/atlas/gen/atlas-gen/parseResults.sh
index bd38240b86348525dd06dfef9a920076dde2cdba..8d093a7a590799e7301ebff1812f97e08f8b6e2c 100644
--- a/atlas/gen/atlas-gen/parseResults.sh
+++ b/atlas/gen/atlas-gen/parseResults.sh
@@ -1,7 +1,7 @@
 parseResultsDir=$(cd $(dirname ${BASH_SOURCE}); pwd) # needed to locate parseResults.py
 
 function generateSummary(){
-  echo -e "{\"copies\":$NCOPIES , \"threads_per_copy\": $NTHREADS , \"events_per_thread\" : $NEVENTS_THREAD , \"CPU_score\": $resJSON , \"log\": \"${s_msg}\", \"app\":`cat $BMKDIR/version.json` }" > ${APP}_summary.json
+  echo -e "{\"copies\":$NCOPIES , \"threads_per_copy\": $NTHREADS , \"events_per_thread\" : $NEVENTS_THREAD , $resJSON , \"log\": \"${s_msg}\", \"app\":`cat $BMKDIR/version.json` }" > ${APP}_summary.json
   cat ${APP}_summary.json
 }
 
@@ -26,11 +26,11 @@ function parseResults(){
   #-----------------------
   # Parse results (python)
   #-----------------------
-  echo "[parseResults] python parser starting"
+  #echo "[parseResults] python parser starting"
   export BASE_WDIR=`pwd`
-  python ${parseResultsDir}/parseResults.py # same directory as parseResults.sh
+  #python ${parseResultsDir}/parseResults.py # same directory as parseResults.sh
   pystatus=$?
-  echo "[parseResults] python parser completed (status=$pystatus)"
+  #echo "[parseResults] python parser completed (status=$pystatus)"
   #-----------------------
   # Parse results (bash)
   #-----------------------
@@ -45,8 +45,9 @@ function parseResults(){
         median=a[(n + 1) / 2];
       } else {
         median=(a[(n / 2)] + a[(n / 2) + 1]) / 2.0;
-      }; printf "{\"score\": %.4f, \"avg\": %.4f, \"median\": %.4f, \"min\": %.4f, \"max\": %.4f}", sum, sum/count, median, amin, amax
-    }' || (echo "\"[ERROR] Something went wrong in parsing the CPU score\""; exit 1)`
+      }; 
+printf "\"wl-scores\": {\"sim\": %.4f} , \"wl-stats\": {\"score\": %.4f, \"avg\": %.4f, \"median\": %.4f, \"min\": %.4f, \"max\": %.4f}", sum, sum, sum/count, median, amin, amax
+    }' || (echo "\"wl-scores\":{}"; exit 1)`
   shstatus=$?
   [ "$shstatus" != "0" ] && s_msg="ERROR"
   #-----------------------